org.apache.ignite.internal.processors.rest.client.message

## Class GridClientClusterStateRequestV2

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientClusterStateRequest
    - - org.apache.ignite.internal.processors.rest.client.message.GridClientClusterStateRequestV2

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientClusterStateRequestV2
    extends GridClientClusterStateRequest

Enhanced version of `GridClientClusterStateRequest`. Introduced to support forced version of the change state command and keep backward compatibility with nodes of old version that may occur in cluster at the rolling updates.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientClusterStateRequest

`state`

### Constructor Summary

Constructors
Constructor and Description
`GridClientClusterStateRequestV2()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `forceDeactivation()`
`void` `readExternal(ObjectInput in)`
`static GridClientClusterStateRequestV2` `state(ClusterState state, boolean forceDeactivation)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientClusterStateRequest

`currentState, isReqCurrentState, state, state`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientClusterStateRequestV2

    public GridClientClusterStateRequestV2()

### Method Detail

#### forceDeactivation

    public boolean forceDeactivation()

Returns:
  `True` if cluster deactivation will be forced. `False` otherwise.
See Also:
  `ClusterState.INACTIVE`

#### state

    public static GridClientClusterStateRequestV2 state(ClusterState state,
                                                        boolean forceDeactivation)

Parameters:
  `state` - New cluster state.
  `forceDeactivation` - If `true`, cluster deactivation will be forced.
Returns:
  Cluster state change request.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientClusterStateRequest`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientClusterStateRequest`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023